• Hello [name]! Thanks for joining the GMC. Before making any posts in the Tech Support forum, can we suggest you read the forum rules? These are simple guidelines that we ask you to follow so that you can get the best help possible for your issue.

Android [HELP!!!] Does Android APK still work in GMS 1.4?

_r3unite_

Member
I'm still on GMS 1.4 and i'm trying to make an apk executable.

I downloaded Android Studio and everything as it says on yoyogames documentation. Set up NDK and SDK
*NOTE* I tweaked as when i dowloaded the old (says obsolete in Android Studio) NDK there was no "platforms" folder in it. So i copied the platforms folder from /Sdk/ to /Sdk/ndk-bundle and set it as the path in GMS.

When i try to run the game with my phone connected via usb ADB. Works fine.

I have a few questions.

1. BUILD FAILED ERROR when trying to make excecutable

"C:\Users\komar\AppData\Roaming\GameMaker_Studio\GMAssetCompiler.exe" /fU="C:\Users\komar\AppData\Local\Temp\gm_ttt_63734\a58277.txt" /c /m=android /config="Default" /tgt=8 /tg="C:\Users\komar\AppData\Local\Temp\gm_ttt_63734\\TextureGroups.txt" /to="C:\Users\komar\AppData\Local\Temp\gm_ttt_63734\\TextureOptions.txt" /obob=True /obpp=False /obru=True /obes=False /i=3 /cvm /tp=2048 /mv=1 /iv=0 /rv=0 /bv=1567 /gn="FilmTycoon" /td="C:\Users\komar\AppData\Local\Temp" /cd="C:\Users\komar\Documents\GameMaker\Cache" /sh=True /dbgp="6502" /hip="127.0.0.1" /hprt="51268" /optionsini="C:\Users\komar\AppData\Local\Temp\gm_ttt_63734\gm_ttt_86874\FilmTycoon-Default-1.0.0.ini" /o="C:\Users\komar\AppData\Local\Temp\gm_ttt_63734\gm_ttt_86874" "C:\Users\komar\Documents\GameMaker\Projects\FilmTycoon.gmx\FilmTycoon.project.gmx"

Reading project file....finished.
Remove DnD...finished.
Compile Constants...finished.
Compile Scripts...finished.
Compile Objects...finished.
Compile Timelines...finished.
Compile Triggers...finished.
Compile Rooms...finished.
Compile Extensions...finished.
Final Compile...finished.
Saving IFF file... C:\Users\komar\AppData\Local\Temp\gm_ttt_63734\gm_ttt_86874\FilmTycoon.droid
Writing Chunk... GEN8
Writing Chunk... OPTN
Writing Chunk... EXTN
Writing Chunk... SOND
Writing Chunk... AGRP
Writing Chunk... SPRT
Writing Chunk... BGND
Writing Chunk... PATH
Writing Chunk... SCPT
Writing Chunk... SHDR
Writing Chunk... FONT
Writing Chunk... TMLN
Writing Chunk... OBJT
Writing Chunk... ROOM
Writing Chunk... DAFL
Writing Chunk... TPAGE
Writing Chunk... CODE
Writing Chunk... VARI
Writing Chunk... FUNC
Writing Chunk... STRG
Writing Chunk... TXTR
0 Compressing texture... writing texture texture_0.png...
Writing Chunk... AUDO
Writing Chunk... SCPT
Writing Chunk... DBGI
Writing Chunk... INST
Writing Chunk... STRG
Stats : GMA : Instance=36, Global=0
cmd /c ""C:\Users\komar\AppData\Roaming\GameMaker_Studio\Android\apache-ant-1.8.2\bin\ant.bat" -Dsdk.dir="C:\Users\komar\AppData\Local\Android\Sdk" -DYOYO_ANDROID_RUNNER_SOURCE="..\..\gm_ttt_63734/SDKLibs" clean release"

Buildfile: C:\Users\komar\AppData\Local\Temp\gm_ttt_63734\gm_ttt_69306\build.xml

BUILD FAILED
C:\Users\komar\AppData\Local\Temp\gm_ttt_63734\gm_ttt_69306\build.xml:83: Cannot find C:\Users\komar\AppData\Local\Android\Sdk\tools\ant\build.xml imported from C:\Users\komar\AppData\Local\Temp\gm_ttt_63734\gm_ttt_69306\build.xml

Total time: 0 seconds

I tried copying the build.xml file to the location "C:\Users\komar\AppData\Local\Android\Sdk\tools\ant", but no success.. got a new error:

Stats : GMA : Instance=36, Global=0
cmd /c ""C:\Users\komar\AppData\Roaming\GameMaker_Studio\Android\apache-ant-1.8.2\bin\ant.bat" -Dsdk.dir="C:\Users\komar\AppData\Local\Android\Sdk" -DYOYO_ANDROID_RUNNER_SOURCE="..\..\gm_ttt_63734/SDKLibs" clean release"

Buildfile: C:\Users\komar\AppData\Local\Temp\gm_ttt_63734\gm_ttt_58195\build.xml

BUILD FAILED
Target "clean" does not exist in the project "RunnerActivity".

Total time: 0 seconds

The only place i found the exact same situation is here:

and here:


No solutions. :(

At this point i'm asking for any suggestions. Should i switch to gms2? Or unity?

2. Since i bought a registration in Google Play Developer Console i found out they don't accept APK's anymore. How can i make it output AAB? Can i?

3. Can I integrate IAP and other google play services in my game?

PLEASE HELP
 

Samuel Venable

Time Killer
You cannot use GMS1.4 in conjunction with Google Play Store since several years now.
The only exception being if you had already published your game that amount of years ago. A 1.4 game I did for a client is still on Google Play. But if you want to provide updates to an existing game you can't use 1.4 for that either.
 

J. Baker

Member
I still use v1.4 as well. Not a fan of the new UI in v2. Anyway, can you not create in v1.4 and then build in v2?
 

FrostyCat

Member
I still use v1.4 as well. Not a fan of the new UI in v2. Anyway, can you not create in v1.4 and then build in v2?
You could try for some very simple projects, but this is not a sustainable tactic for several reasons:
  • Converting from 1.4 to 2.x every time you need to test for production is a time-consuming workaround.
  • 1.4 has a different set of SDK requirements than 2.x. You will need to update them every time you convert.
  • Monetization and analytics extensions for 1.4 have all ceased development, while their 2.x counterparts are still actively updated. While converting, these extensions will need to be removed and replaced with the updated counterparts, which may since have added backwards-incompatible changes.
  • You would be at the mercy of the legacy project conversion logic of the 2.x IDE, which doesn't work all the time. And these kinds of bugs often end up as low-priority tickets even if they are reported.
As long as 1.4 remains fossilized and 2.x continues developing, the chance of incompatibility can only grow, until the point where they are mutually incompatible.

In my opinion, personal taste in the IDE is a flimsy and childish reason to not upgrade, when the continuity of your own product is at stake.
 

J. Baker

Member
In my opinion, personal taste in the IDE is a flimsy and childish reason to not upgrade, when the continuity of your own product is at stake.
That actually doesn't effect me at all. No interest in mobile devices. I only develop for Desktop (Windows & OS X). As for the UI, I had/have used GM since 2001 and it always had a simple and easy UI to use. Now with GMS v2, the damn code editor keeps going behind the panel on the right. I have to keep closing and opening it. There's other UI issues too but I really don't care to explain them. Anyway, just not my cup of tea.
 
Top